/**
 * Evaluate MDX.
 *
 * @param {VFileCompatible} vfileCompatible MDX document to parse (`string`, `Buffer`, `vfile`, anything that can be given to `vfile`)
 * @param {EvaluateOptions} evaluateOptions
 * @return {Promise<MDXModule>}
 */
export function evaluate(
  vfileCompatible: VFileCompatible,
  evaluateOptions: EvaluateOptions
): Promise<MDXModule>
/**
 * Synchronously evaluate MDX.
 *
 * @param {VFileCompatible} vfileCompatible MDX document to parse (`string`, `Buffer`, `vfile`, anything that can be given to `vfile`)
 * @param {EvaluateOptions} evaluateOptions
 * @return {MDXModule}
 */
export function evaluateSync(
  vfileCompatible: VFileCompatible,
  evaluateOptions: EvaluateOptions
): MDXModule
export type VFileCompatible = import('vfile').VFileCompatible
export type EvaluateOptions =
  import('./util/resolve-evaluate-options.js').EvaluateOptions
export type MDXModule = import('mdx/types').MDXModule
