/**
 * A Webpack (4+) loader for xdm.
 * See `webpack.cjs`, which wraps this, because Webpack loaders must currently
 * be CommonJS.
 *
 * @this {LoaderContext}
 * @param {string} value
 * @param {(error: Error|null|undefined, content?: string|Buffer, map?: Object) => void} callback
 */
export function loader(
  value: string,
  callback: (
    error: Error | null | undefined,
    content?: string | Buffer | undefined,
    map?: Object | undefined
  ) => void
): void
export type VFileCompatible = import('vfile').VFileCompatible
export type VFile = import('vfile').VFile
export type LoaderContext = import('webpack').LoaderContext<unknown>
export type CompileOptions = import('../compile.js').CompileOptions
export type Defaults = Pick<CompileOptions, 'SourceMapGenerator'>
export type Options = Omit<CompileOptions, 'SourceMapGenerator'>
export type Process = (vfileCompatible: VFileCompatible) => Promise<VFile>
